Jim Fulton wrote:
>> Would you give it a try?
> 
> Yup. Works great.  I've updated:
>   svn://svn.zope.org/repos/main/zopetoolkit/branches/jim-kgs/kgs
> 
> to use it.
> 
> I created ztk.cfg that looks like:
> 
>   [ztk]
>   libraries =
>     ...
>   under-review =
>     ...
>   projects = ${ztk:libraries} ${ztk:under-review}
> 
>   [buildout]
>   versions = versions
>   allow-picked-versions = false
> 
>   [versions]
>   ...
> 
> and a buildout.cfg:
> 
>   [buildout]
>   parts = test-ztk
>   extends = ztk.cfg
> 
>   [test-ztk]
>   recipe = z3c.recipe.compattest
>   include = ${ztk:projects}
> 
> This gives me the test files I expect that use the specified versions.

One question, and I know I'm late in on this so feel free to point me at 
previous discussions, but say the KGS uses some.egg 1.0.0, a bug gets 
fixed in some.egg and 1.0.1 is released. Does a whole new KGS need to be 
cut or is there some process for testing and supporting, says,
1.0.0 <= some.egg < 1.1.0 ?

cheers,

Chris

-- 
Simplistix - Content Management, Batch Processing & Python Consulting
            - http://www.simplistix.co.uk
_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to